Subject: Re: [RFC PATCH 19/29] net: vrf: Add vrf context to skb

From: David Ahern <[email-masked]>
Date: Thu, 05 Feb 2015 23:00:29 -0700

On 2/5/15 8:54 PM, Eric W. Biederman wrote:
> David Ahern<[email-masked]>  writes:
>
>> >On ingress skb's inherit vrf context from the net_device. For TX skb's
>> >inherit the vrf context from the socket originating the packet. Update
>> >SKB related net_ctx macros to set vrf.
> Nacked-by: "Eric W. Biederman"<[email-masked]>
>
> As I recall we had the conversation about modifying  struct sk_buff when
> implementing network namespaces and it turns out it is a no go.  It adds
> too much overhead.  As I recall skbs as they are on the fastpath are
> things we want to make smaller.
>

Ok, I will look into removing the need for this change.

David